GuideLab API

Import Scanner Case

Import a 3Shape case as a new order. Creates the order, patient (if needed), order items from model elements, and downloads attachments to R2 storage.

POST
/scanner-connections/{id}/import-case

Import a 3Shape case as a new order. Creates the order, patient (if needed), order items from model elements, and downloads attachments to R2 storage.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/scanner-connections/550e8400-e29b-41d4-a716-446655440000/import-case" \  -H "Content-Type: application/json" \  -d '{    "caseId": "string",    "regionId": 1,    "labId": "string",    "clinicId": "string",    "partnershipId": "string"  }'
{  "orderId": "string",  "orderNumber": "string",  "patientId": "string",  "orderItemCount": 0,  "fileCount": 0,  "threeshapeCaseId": "string",  "threeshapeOrderNo": "string"}
Empty
Empty
Empty
Empty
Empty
Empty
Empty
Empty